Create or update a LinkedIn ad campaign group with campaigns and ads

http
PUT https://services.leadconnectorhq.com/ad-publishing/linkedin/ads

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
idstringNo
locationIdstringYesAccount ID
  • budget (object)

    • budgetType (string): Possible values: 'DAILY', 'LIFETIME'

    • amount (number)

    • scheduleStartDate (string): Schedule start date (ISO 8601) Example: 2025-01-01

    • scheduleEndDate (string): Schedule end date (ISO 8601) Example: 2025-12-31

  • adCampaigns (object[])

    • id (string)

    • locale (object): Campaign locale

    • name (string)

    • publishingStatus (string): Possible values: 'DRAFT', 'SCHEDULED', 'PUBLISHED', 'PUBLISHING', 'FAILED', 'IN_REVIEW', 'PAUSED', 'ARCHIVED', 'WITH_ISSUES', 'REJECTED'

    • mediaType (string): Campaign audience targeting Possible values: 'STANDARD_UPDATE', 'SINGLE_VIDEO', 'CAROUSEL'

    • audience (object): Campaign audience targeting

    • unitCost (object): Bid unit cost

    • campaignType (string)

    • adCampaignGroupId (string)

    • adCampaignId (string)

    • ads (object[])

      • id (string)

      • name (string)

      • introductoryText (string)

      • destinationUrl (string)

      • callToActionLabel (string)

      • destinationFormId (string)

      • contentReferenceString (string)

      • media (object[])

        • type (string): Media type Possible values: 'video', 'image'

        • src (string): Media source URL

        • frames (string[]): Video frame URLs

        • selectedPoster (number): Selected poster frame index

        • thumbnailUrl (string): Thumbnail URL

        • name (string): Media name

        • headline (string): Media headline

        • destinationUrl (string): Click-through destination URL

        • fileSizeBytes (number): File size in bytes

      • adCampaignId (string)

      • adId (string)

      • headline (string)

      • publishingStatus (string): Possible values: 'DRAFT', 'SCHEDULED', 'PUBLISHED', 'PUBLISHING', 'FAILED', 'IN_REVIEW', 'PAUSED', 'ARCHIVED', 'WITH_ISSUES', 'REJECTED'

      • adCampaignGroupId (string)

      • description (string)

      • meta (object)

      • linkedInError (string): LinkedIn API error message

    • linkedInError (string): LinkedIn API error message

    • meta (object)

NameTypeRequiredExampleDescription
adBudgetOptimizationstringNoPossible values: 'MAXIMUM_DELIVERY', 'COST_CAP'
objectiveTypestringNoPossible values: 'LEAD_GENERATION', 'WEBSITE_VISIT'
namestringNo
adCampaignGroupIdstringNo
publishingStatusstringNoPossible values: 'DRAFT', 'SCHEDULED', 'PUBLISHED', 'PUBLISHING', 'FAILED', 'IN_REVIEW', 'PAUSED', 'ARCHIVED', 'WITH_ISSUES', 'REJECTED'
linkedInAdAccountIdstringNo
unpublishedChangesbooleanNo
metaobjectNo
linkedInErrorstringNo

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/linkedin/ads' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": "string",
  "locationId": "string",
  "budget": {
    "budgetType": "DAILY",
    "amount": 0,
    "scheduleStartDate": "2025-01-01",
    "scheduleEndDate": "2025-12-31"
  },
  "adCampaigns": [
    {
      "id": "string",
      "name": "string",
      "publishingStatus": "DRAFT",
      "mediaType": "STANDARD_UPDATE",
      "campaignType": "string",
      "adCampaignGroupId": "string",
      "adCampaignId": "string",
      "ads": [
        {}
      ],
      "linkedInError": "string",
      "meta": {}
    }
  ],
  "adBudgetOptimization": "MAXIMUM_DELIVERY",
  "objectiveType": "LEAD_GENERATION",
  "name": "string",
  "adCampaignGroupId": "string",
  "publishingStatus": "DRAFT",
  "linkedInAdAccountId": "string",
  "unpublishedChanges": true,
  "meta": {},
  "linkedInError": "string"
}'

Last updated October 26, 2026

Was this page helpful?